Name:           rampartc
Version:        1.3.0
Release:        0.5%{?dist}
Summary:        Security module for Apache Axis2/C

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://axis.apache.org/axis2/c/rampart/index.html
Source0:        http://newverhost.com/pub//ws/rampart/c/1_3_0/%{name}-src-%{version}.tar.bz2
# Fix missing DESTDIR parameter
# https://issues.apache.org/jira/browse/RAMPARTC-150
Patch1:         rampartc-1.3.0-destdir.patch
# Fix bad shell-quoting in configure script
# https://issues.apache.org/jira/browse/RAMPARTC-151
Patch2:         rampartc-1.3.0-quoting.patch
# Fix FTBFS on recent gcc due to implicit cast
# https://issues.apache.org/jira/browse/RAMPARTC-152
Patch3:         rampartc-1.3.0-cast.patch
# Fix segfault due to occasional bad free (no longer applicable upstream)
Patch4:         rampartc-1.3.0-segfault.patch
# Fix two memory leaks
# https://issues.apache.org/jira/browse/RAMPARTC-153
Patch5:         rampartc-1.3.0-memleak.patch
# Fix bad timestamp checking (sent to upstream security list)
Patch6:         rampartc-1.3.0-timestamp.patch
# Add missing data source checksum
# https://issues.apache.org/jira/browse/RAMPARTC-154
Patch7:         rampartc-1.3.0-c14n.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  axis2c-devel >= 1.6
BuildRequires:  openssl-devel

%description
Apache Rampart/C is the security module for Apache Axis2/C.  It features
many ways to protect SOAP messages exchanged.  This includes SOAP message
encryption and signature as specified in WS-Security Specification.
In addition Apache Rampart/C configurations are based on security policy
assertions as per the WS-Security Policy specification.


%package devel
Summary:        Files for development of applications that use Rampart/C
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Apache Rampart/C is the security module for Apache Axis2/C.  It features
many ways to protect SOAP messages exchanged.  This includes SOAP message
encryption and signature as specified in WS-Security Specification.
In addition Apache Rampart/C configurations are based on security policy
assertions as per the WS-Security Policy specification.

This package contains files needed to develop Axis2/C applications that
employ the Rampart/C security module.


%package doc
Summary:        Documentation for Rampart/C
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
%if 0%{!?rhel:1} || 0%{?rhel} > 5
BuildArch:      noarch
%endif


%description doc
Apache Rampart/C is the security module for Apache Axis2/C.  It features
many ways to protect SOAP messages exchanged.  This includes SOAP message
encryption and signature as specified in WS-Security Specification.
In addition Apache Rampart/C configurations are based on security policy
assertions as per the WS-Security Policy specification.

This package contains the documentation for Rampart/C.


%prep
%setup -q -n %{name}-src-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
# Fix includedir
sed -i 's#includedir = $(prefix)/include#includedir = @includedir@#' Makefile.in
# Fix libdir
sed -i 's#prglibdir = $(prefix)/lib#prglibdir = @libdir@#' src/util/Makefile.in
# Fix docsdir (no, it isn't docdir)
sed -i 's#docsdir = $(prefix)/docs#docsdir = @docdir@#' Makefile.in

# We can't use the typical RPM doc directory because rpmbuild wipes it out when
# the %%files section begins, so we put the program's documentation elsewhere.
# See http://rpm.org/ticket/836 for more information.
%configure --prefix=%{axis2c_home} --docdir=%{_datadir}/%{name}/docs --disable-static --with-axis2=%{_includedir}/axis2-%{axis2c_version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{axis2c_home}/modules/*/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE NEWS NOTICE README
%{_libdir}/*.so.*
%{axis2c_home}/modules/*/*.so*
%{axis2c_home}/modules/*/module.xml
%dir %{axis2c_home}/modules/rahas
%dir %{axis2c_home}/modules/rampart


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so


%files doc
%defattr(-,root,root,-)
%doc %{_datadir}/%{name}/docs


%changelog
* Tue Jun 28 2011 Eucalyptus Release Engineering <support@eucalyptus.com> - 1.3.0-0.5
- Fixed unterminated buffer issue introduced by data source checking

* Mon Jun 20 2011 Eucalyptus Release Engineering <support@eucalyptus.com> - 1.3.0-0.4
- Put headers in their own subdirectory

* Thu Jun  2 2011 Eucalyptus Release Engineering <support@eucalyptus.com> - 1.3.0-0.3
- Rebuilt

* Thu Apr  7 2011 Eucalyptus Release Engineering <support@eucalyptus.com> - 1.3.0-0.2
- Added missing timestamp and data source checks

* Thu Jan 13 2011 Eucalyptus Release Engineering <support@eucalyptus.com> - 1.3.0-0.1
- Initial packaging
